Subject: bug#5616: 23.1.92; `delete-frame' deletes the last frame when emacsclient runs

From: [email-masked]
Date: Sun, 21 Feb 2010 17:25:09 +0800

when I run `emacs --daemon -Q' and `emacsclient -nc', then if I try `M-x
delete-frame', emacsclient seems will delete last remaining frame
without check or remind.

I think it should be mentioned in the manuals, but all I got said emacs
will not to delete the last frame, even you try `M-x delete-frame'.

So I think at least there is a doc bug, and manuals should mention about
that.

In GNU Emacs 23.1.92.1 (x86_64-pc-linux-gnu, GTK+ Version 2.16.6)
 of 2010-02-21 on dell.pingz
Windowing system distributor `The X.Org Foundation', version 11.0.10705000
configured using `configure  '--prefix=/usr' '--build=x86_64-pc-linux-gnu' '--host=x86_64-pc-linux-gnu' '--mandir=/usr/share/man' '--infodir=/usr/share/info' '--datadir=/usr/share' '--sysconfdir=/etc' '--localstatedir=/var/lib' '--libdir=/usr/lib64' '--program-suffix=-emacs-23-vcs' '--infodir=/usr/share/info/emacs-23-vcs' '--with-sound' '--with-x' '--without-gconf' '--with-toolkit-scroll-bars' '--with-gif' '--with-jpeg' '--with-png' '--with-rsvg' '--with-tiff' '--with-xpm' '--with-xft' '--with-libotf' '--with-m17n-flt' '--with-x-toolkit=gtk' '--with-hesiod' '--with-kerberos' '--with-kerberos5' '--with-gpm' '--with-dbus' 'build_alias=x86_64-pc-linux-gnu' 'host_alias=x86_64-pc-linux-gnu' 'CFLAGS=-march=nocona -mtune=nocona -O2 -pipe' 'LDFLAGS=-Wl,-O1''

Important settings:
  value of $LC_ALL: en_US.UTF-8
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=fcitx
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Lisp Interaction

Minor modes in effect:
  minibuffer-depth-indicate-mode: t
  icicle-mode: t
  display-time-mode: t
  show-paren-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  size-indication-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
C-x b <return> C-x b g C-g <menu> i c y <tab> C-g <menu> 
e <backspace> d e l <tab> e <tab> f r a <tab> <return> 
<menu> C-g <menu> e m <backspace> <backspace> e <tab> 
m <tab> <tab> e <backspace> <backspace> C-g <menu> 
i c y - c o <tab> <backspace> <backspace> m o <tab> 
<return> c <backspace> C-x b C-g f a <backspace> <backspace> 
C-x b <return> C-x b <return> C-x b C-g C-x b <tab> 
<tab> C-g <return> C-x b C-g C-g C-g <menu> b u f <backspace> 
g <S-iso-lefttab> C-a C-k r e p o <tab> r <tab> <r
eturn>

Recent messages:
Loading /usr/share/emacs/site-lisp/color-theme/themes/color-theme-example.el (source)...done
Loading /usr/share/emacs/site-lisp/color-theme/themes/color-theme-library.el (source)...done
Turning ON Icicle mode...done
Computing completion candidates...
Quit
icicle-abort-recursive-edit: No recursive edit is in progress
Quit
Computing completion candidates...
Displaying completion candidates...
Computing completion candidates...

Load-path shadows:
/usr/share/emacs/site-lisp/cedet/speedbar/speedbar hides /usr/share/emacs/23.1.92/lisp/speedbar
/usr/share/emacs/site-lisp/cedet/speedbar/sb-image hides /usr/share/emacs/23.1.92/lisp/sb-image
/usr/share/emacs/site-lisp/cedet/common/ezimage hides /usr/share/emacs/23.1.92/lisp/ezimage
/usr/share/emacs/site-lisp/cedet/speedbar/dframe hides /usr/share/emacs/23.1.92/lisp/dframe
/usr/share/emacs/site-lisp/ruby-mode/ruby-mode hides /usr/share/emacs/23.1.92/lisp/progmodes/ruby-mode
/usr/share/emacs/site-lisp/cedet/eieio/eieio-base hides /usr/share/emacs/23.1.92/lisp/emacs-lisp/eieio-base
/usr/share/emacs/site-lisp/cedet/eieio/eieio hides /usr/share/emacs/23.1.92/lisp/emacs-lisp/eieio
/usr/share/emacs/site-lisp/cedet/eieio/eieio-speedbar hides /usr/share/emacs/23.1.92/lisp/emacs-lisp/eieio-speedbar
/usr/share/emacs/site-lisp/cedet/eieio/eieio-opt hides /usr/share/emacs/23.1.92/lisp/emacs-lisp/eieio-opt
/usr/share/emacs/site-lisp/cedet/eieio/eieio-datadebug hides /usr/share/emacs/23.1.92/lisp/emacs-lisp/eieio-datadebug
/usr/share/emacs/site-lisp/cedet/eieio/eieio-custom hides /usr/share/emacs/23.1.92/lisp/emacs-lisp/eieio-custom
/usr/share/emacs/site-lisp/cedet/eieio/eieio-comp hides /usr/share/emacs/23.1.92/lisp/emacs-lisp/eieio-comp
/usr/share/emacs/site-lisp/cedet/eieio/chart hides /usr/share/emacs/23.1.92/lisp/emacs-lisp/chart
/usr/share/emacs/site-lisp/cedet/srecode/srecode hides /usr/share/emacs/23.1.92/lisp/cedet/srecode
/usr/share/emacs/site-lisp/cedet/common/cedet-files hides /usr/share/emacs/23.1.92/lisp/cedet/cedet-files
/usr/share/emacs/site-lisp/cedet/common/cedet-cscope hides /usr/share/emacs/23.1.92/lisp/cedet/cedet-cscope
/usr/share/emacs/site-lisp/cedet/semantic/semantic hides /usr/share/emacs/23.1.92/lisp/cedet/semantic
/usr/share/emacs/site-lisp/cedet/common/pulse hides /usr/share/emacs/23.1.92/lisp/cedet/pulse
/usr/share/emacs/site-lisp/cedet/common/mode-local hides /usr/share/emacs/23.1.92/lisp/cedet/mode-local
/usr/share/emacs/site-lisp/cedet/common/inversion hides /usr/share/emacs/23.1.92/lisp/cedet/inversion
/usr/share/emacs/site-lisp/cedet/ede/ede hides /usr/share/emacs/23.1.92/lisp/cedet/ede
/usr/share/emacs/site-lisp/cedet/common/data-debug hides /usr/share/emacs/23.1.92/lisp/cedet/data-debug
/usr/share/emacs/site-lisp/cedet/common/cedet hides /usr/share/emacs/23.1.92/lisp/cedet/cedet
/usr/share/emacs/site-lisp/cedet/common/cedet-idutils hides /usr/share/emacs/23.1.92/lisp/cedet/cedet-idutils
/usr/share/emacs/site-lisp/cedet/common/cedet-global hides /usr/share/emacs/23.1.92/lisp/cedet/cedet-global

Features:
(shadow sort mail-extr message idna sendmail ecomplete rfc822 mml
mml-sec password-cache mm-decode mm-bodies mm-encode mailcap mail-parse
rfc2231 rfc2047 rfc2045 qp ietf-drums mailabbrev nnheader gnus-util
netrc time-date mm-util mail-prsvr gmm-utils mailheader canlock sha1
hex-util hashcash mail-utils emacsbug face-remap mb-depth two-column
bookmark pp icicles icicles-mode easy-mmode dired regexp-opt
icicles-cmd2 icicles-cmd1 cus-edit icicles-mcmd icicles-mac icicles-fn
icicles-var icicles-opt edmacro kmacro ffap icicles-face thingatpt
eieio-opt server semantic-el semantic-bovine bovine-debug semantic-debug
color-theme time cus-start cus-load semantic-dep paren avoid rgr-java
help-mode view eim eim-extra icomplete+ icomplete crosshairs
col-highlight vline hl-line+ hl-line hexrgb site-gentoo jde-autoload
ecb-autoloads cedet cedet-contrib-load contrib-loaddefs cogre-load
cogre-loaddefs speedbar-load speedbar-loaddefs ede-load ede-loaddefs
ede-speedbar ede-files ede eieio-speedbar semantic-ia-sb
semantic-analyze semantic-scope semantic-analyze-fcn semantic-sort
semanticdb-el semanticdb-search semantic-find semanticdb semantic-ctxt
semantic-format semantic-util-modes semantic-util semantic semantic-lex
semantic-tag working fame speedbar sb-image ezimage dframe easymenu
assoc eieio-custom wid-edit ede-source eieio-base srecode-load srecode
srecode-loaddefs semantic-load semantic-fw semantic-loaddefs mode-local
find-func derived eieio-load eieio-loaddefs cedet-load cedet-compat
cedet-loaddefs eieio advice help-fns advice-preload byte-opt bytecomp
byte-compile cl cl-19 inversion tex-site auto-loads tooltip ediff-hook
vc-hooks lisp-float-type mwheel x-win x-dnd font-setting tool-bar dnd
fontset image fringe lisp-mode register page menu-bar rfn-eshadow timer
select scroll-bar mldrag mouse jit-lock font-lock syntax facemenu
font-core frame cham georgian utf-8-lang misc-lang vietnamese tibetan
thai tai-viet lao korean japanese hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese case-table epa-hook
jka-cmpr-hook help simple abbrev loaddefs button minibuffer faces
cus-face files text-properties overlay md5 base64 format env code-pages
mule custom widget hashtable-print-readable backquote
make-network-process dbusbind font-render-setting gtk x-toolkit x
multi-tty emacs)